/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/


/* 
    Created on : Feb 22, 2018, 5:10:15 PM
    Author     : MTPC-129
*/

li.m-menu__item.m-menu__item--submenu a.m-menu__link.m-menu__toggle {
    cursor: default !important;
}


/* START : Dev - MT-153 */

#history_model .manage_history .date_range_btn_group {
    margin-bottom: 15px;
}

#history_model .manage_history .date_range_btn_group h4 {
    font-size: 13px;
    font-weight: 300;
}

#history_model .btn-outline-info.m-btn--air,
#history_model .btn-info.m-btn--air,
#history_model .m-btn--gradient-from-info.m-btn--air {
    -webkit-box-shadow: 0px 5px 10px 2px rgba(54, 163, 247, 0.19) !important;
    -moz-box-shadow: 0px 5px 10px 2px rgba(54, 163, 247, 0.19) !important;
    box-shadow: 0px 5px 10px 2px rgba(54, 163, 247, 0.19) !important;
}

#history_model .btn-outline-info.m-btn--air.focus,
#history_model .btn-outline-info.m-btn--air:focus,
#history_model .btn-outline-info.m-btn--air:hover,
#history_model .btn-info.m-btn--air.focus,
#history_model .btn-info.m-btn--air:focus,
#history_model .btn-info.m-btn--air:hover,
#history_model .m-btn--gradient-from-info.m-btn--air.focus,
#history_model .m-btn--gradient-from-info.m-btn--air:focus,
#history_model .m-btn--gradient-from-info.m-btn--air:hover {
    -webkit-box-shadow: 0px 5px 10px 2px rgba(54, 163, 247, 0.36) !important;
    -moz-box-shadow: 0px 5px 10px 2px rgba(54, 163, 247, 0.36) !important;
    box-shadow: 0px 5px 10px 2px rgba(54, 163, 247, 0.36) !important;
}

#history_model .btn.btn-outline-info {
    color: #36a3f7;
    background-color: transparent;
    background-image: none;
    border-color: #36a3f7;
}

#history_model .btn.btn-outline-info.active,
#history_model .btn.btn-outline-info.focus,
#history_model .btn.btn-outline-info:focus,
#history_model .btn.btn-outline-info:hover:not(:disabled) {
    color: #fff;
    background-color: #36a3f7;
    border-color: #36a3f7;
}

#history_model .btn-outline-info {
    color: #36a3f7;
    background-color: transparent;
    background-image: none;
    border-color: #36a3f7;
}

#history_model .btn-outline-info:hover {
    color: #fff;
    background-color: #36a3f7;
    border-color: #36a3f7;
}

#history_model .btn-outline-info:focus,
#history_model .btn-outline-info.focus {
    box-shadow: 0 0 0 0.2rem rgba(54, 163, 247, 0.5);
}

#history_model .btn-outline-info.disabled,
#history_model .btn-outline-info:disabled {
    color: #36a3f7;
    background-color: transparent;
}

#history_model .btn-outline-info:not([disabled]):not(.disabled):active,
#history_model .btn-outline-info:not([disabled]):not(.disabled).active,
#history_model .show>.btn-outline-info.dropdown-toggle {
    color: #212529;
    background-color: #36a3f7;
    border-color: #36a3f7;
    box-shadow: 0 0 0 0.2rem rgba(54, 163, 247, 0.5);
}

#history_model .btn.btn-outline-info-blank {
    color: #36a3f7;
    background-color: transparent;
    background-image: none;
}

#history_model .btn.btn-outline-info-blank:hover:not(:disabled) {
    color: #fff;
    background-color: #36a3f7;
    border-color: #36a3f7;
}

#history_model .cols2_map {
    margin-top: 26px;
}

#history_model .bottom_bar {
    display: table;
    float: left;
    width: 100%;
    margin-top: 9px;
    padding: 0px 6px;
}

#history_model .bottom_bar a {
    display: table-cell;
    padding: 0;
    width: 30px;
    height: 30px;
    float: left;
    color: #ffffff !important;
    margin: 0 0 0 1px;
    text-align: center;
    position: relative;
}

#history_model .bottom_bar a i {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
}

#history_model .irs {
    height: 55px;
}

#history_model .irs-with-grid {
    height: 75px;
}

#history_model .irs-line {
    height: 10px;
    top: 33px;
    background: #EEE;
    background: linear-gradient(to bottom, #DDD -50%, #FFF 150%);
    /* W3C */
    border: 1px solid #CCC;
    border-radius: 16px;
    -moz-border-radius: 16px;
}

#history_model .irs-line-left {
    height: 8px;
}

#history_model .irs-line-mid {
    height: 8px;
}

#history_model .irs-line-right {
    height: 8px;
}

#history_model .irs-bar {
    height: 10px;
    top: 33px;
    border-top: 1px solid #428bca;
    border-bottom: 1px solid #428bca;
    background: #008fd1 !important;
    /*background: linear-gradient(to top, rgba(66,139,202,1) 0%,rgba(127,195,232,1) 100%); !* W3C *!*/
}

#history_model .irs-bar-edge {
    height: 10px;
    top: 33px;
    width: 14px;
    border: 1px solid #428bca;
    border-right: 0;
    background: #008fd1 !important;
    background: linear-gradient(to top, rgba(66, 139, 202, 1) 0%, rgba(127, 195, 232, 1) 100%);
    /* W3C */
    border-radius: 16px 0 0 16px;
    -moz-border-radius: 16px 0 0 16px;
}

#history_model .irs-shadow {
    height: 2px;
    top: 38px;
    background: #000;
    opacity: 0.3;
    border-radius: 5px;
    -moz-border-radius: 5px;
}

#history_model .lt-ie9 .irs-shadow {
    filter: alpha(opacity=30);
}

#history_model .irs-slider {
    top: 28px;
    width: 20px;
    height: 20px;
    border: 1px solid #09a8f2;
    background: #008fd1 !important;
    background: linear-gradient(to bottom, rgba(255, 255, 255, 1) 0%, rgba(220, 220, 220, 1) 20%, rgba(255, 255, 255, 1) 100%);
    /* W3C */
    border-radius: 27px;
    -moz-border-radius: 27px;
    box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.3);
    cursor: pointer;
}

#history_model .irs-slider.state_hover,
#history_model .irs-slider:hover {
    background: #FFF;
}

#history_model .irs-min,
#history_model .irs-max {
    color: #333;
    font-size: 12px;
    line-height: 1.333;
    text-shadow: none;
    /* top: 0;*/
    padding: 1px 5px;
    /*background: rgba(0,0,0,0.1);*/
    border-radius: 3px;
    -moz-border-radius: 3px;
}

#history_model .lt-ie9 .irs-min,
#history_model .lt-ie9 .irs-max {
    background: #ccc;
}

#history_model .irs-from,
#history_model .irs-to,
#history_model .irs-single {
    color: #fff;
    font-size: 14px;
    line-height: 1.333;
    text-shadow: none;
    padding: 1px 5px;
    background: #428bca;
    border-radius: 3px;
    -moz-border-radius: 3px;
}

#history_model .lt-ie9 .irs-from,
#history_model .lt-ie9 .irs-to,
#history_model .lt-ie9 .irs-single {
    background: #999;
}

#history_model .irs-grid {
    height: 27px;
}

#history_model .irs-grid-pol {
    opacity: 0.5;
    background: #428bca;
}

#history_model .irs-grid-pol.small {
    background: #999;
}

#history_model .irs-grid-text {
    bottom: 5px;
    color: #99a4ac;
}

#history_model .irs-disabled {}

#history_model .bottom_bar .progress_bar_sw {
    width: 100%;
    margin: 0px 0px 0px;
    display: table-cell;
    float: none;
    padding: 0 0 0 20px;
}

#history_model .bottom_bar #marker_ranger {
    position: absolute !important;
    display: block !important;
    top: 0 !important;
    left: 0 !important;
    width: 0 !important;
    height: 0 !important;
    font-size: 0 !important;
    line-height: 0 !important;
    padding: 0 !important;
    margin: 0 !important;
    outline: none !important;
    z-index: -9999 !important;
    background: none !important;
    border-style: solid !important;
    border-color: transparent !important;
}

#history_model .tag_edit_pop {
    width: 95% !important;
}

#download_history {
    margin-left: 15px;
}


/* END : Dev - MT-153 */

.modal .modal-content .modal-header .close {
    margin: 0;
    padding: 0;
    float: right;
    line-height: normal;
    position: absolute;
    right: 24px
}

.modal-dialog {
    max-width: inherit;
    width: 600px;
}

.select2-container .select2-selection--single {
    height: 35px;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: normal;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 35px;
    line-height: 33px;
}

.tag_view_edit {
    width: 70%;
}

.tag_edit_pop {
    width: 70%;
}

.modal-header {
    display: inline-block;
}

.login__screen {
    position: absolute;
    transform: translate(-50%, -50%);
    top: 50%;
    left: 50%;
    right: -50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
}

.dataTable tbody {
    text-align: left;
}

.dataTable thead tr {
    background: #3f4350;
    text-align: left;
    vertical-align: middle;
}

.dataTable thead tr th {
    color: #fff;
    font-weight: 600;
}

.dataTable tr td {
    border-top: 1px solid #f4f5f8;
    color: #575962;
    /*    font-size: 14px;*/
}

table.dataTable {
    border-collapse: collapse!important;
    width: 100%!important;
}

.m-subheader .m-subheader__title.m-subheader__title--separator {
    border-right: 1px solid #e2e5ec;
}

.mr-auto {
    display: inherit;
}

.repeat_div {
    margin-right: 10px;
}

.m-topbar .m-topbar__nav.m-nav>.m-nav__item>.m-nav__link .m-topbar__userpic img {
    max-width: 45px !important;
}

.m-header {
    height: 72px;
}

.select2-search__field {
    height: 25px;
}

.select2-container--default.select2-container--focus .select2-selection--multiple,
.select2-container--default.select2-container--focus .select2-selection--single,
.select2-container--default.select2-container--open .select2-selection--multiple,
.select2-container--default.select2-container--open .select2-selection--single {
    border-color: #716aca;
}

.page-item.active .page-link {
    z-index: 1;
    color: #fff;
    background-color: #008fd1;
    border-color: #008fd1;
}

.nav-item .nav-link:hover {
    background-color: #09a8f2;
    border-color: #09a8f2;
    color: #fff;
}

.nav.nav-pills.nav-pills--brand .nav-link.active {
    background: #008fd1;
}

.m-aside-menu .m-menu__nav>.m-menu__item.m-menu__item--active>.m-menu__link .m-menu__link-icon {
    color: #50a7e0 !important;
}

.m-aside-menu .m-menu__nav>.m-menu__item.m-menu__item--active>.m-menu__link .m-menu__link-text {
    color: #50a7e0 !important;
}

.btn-primary {
    color: #fff;
    background-color: #008fd1;
    border-color: #008fd1;
}

.btn-primary:hover {
    background-color: #09a8f2;
    border-color: #09a8f2;
}

.btn-primary:not([disabled]):not(.disabled):active,
.btn-primary:not([disabled]):not(.disabled).active,
.show>.btn-primary.dropdown-toggle {
    background-color: #50a7e0;
    border-color: #50a7e0;
}

table.dataTable thead .sorting::before,
table.dataTable thead .sorting_asc::before,
table.dataTable thead .sorting_desc::before,
table.dataTable thead .sorting_asc_disabled::before,
table.dataTable thead .sorting_desc_disabled::before {
    right: 0em;
    content: "";
}

table.dataTable thead .sorting::after,
table.dataTable thead .sorting_asc::after,
table.dataTable thead .sorting_desc::after,
table.dataTable thead .sorting_asc_disabled::after,
table.dataTable thead .sorting_desc_disabled::after {
    right: 0em;
    content: "";
}

table.dataTable thead .sorting_asc::before {
    content: "\2191";
    opacity: 1;
    right: 0.5em;
}

table.dataTable thead .sorting_desc::before {
    content: "\2193";
    opacity: 1;
    right: 0.5em;
}

.dataTables_length {
    text-align: left;
}

.dataTables_length label {
    color: gray;
}

.out__range {
    background-color: red!important;
}

.in__range {
    background-color: #50a7e0!important;
}

.table__class {
    overflow-x: scroll;
    margin-bottom: 20px;
}

.homepage__btn {
    background: #fff;
    padding: 15px;
}

.dataTables_wrapper .m-checkbox {
    margin-bottom: -5px;
}

.client_list_update .select2-container--default .select2-selection--multiple .select2-selection__rendered {
    box-sizing: border-box;
    list-style: none;
    margin: 0;
    padding: 1px 5px;
    width: 100%;
}

.tag_management .select2-container--default .select2-selection--multiple .select2-selection__rendered .select2-search__field {
    margin: 0px;
}

.tag_management_home .m-badge {
    width: 105px;
}

.history_table .m-badge {
    width: 120px;
}

.user_management .m-badge {
    width: 100px;
}

.select2-container--default .select2-selection--multiple {
    border: 1px solid #ebedf2;
}

.m-blockui {
    margin-left: 0 !important;
    top: 50%;
    left: 50%;
    -moz-transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.m-subheader__breadcrumbs .m-nav__link:hover {
    color: #09a8f2;
}


/*.register_container{
    width: 960px;
    margin:0 auto;
}*/


/*New dashboard design Start*/

search_f {
    float: left;
    width: 100%;
    padding: 20px;
    background-color: #fff;
    margin-bottom: 10px;
}

.search_f .form-group input {
    float: left;
    border: 1px solid #ebedf2;
    padding-left: 5px;
}

.search_part_02 {
    float: left;
    width: 100%;
    padding: 20px;
    background-color: #fff;
    margin-bottom: 20px;
    margin-top: 20px;
}

.mt_top_sec {
    float: left;
    width: 100%;
    margin-bottom: 20px;
}

.mt_form_search {
    float: left;
    width: 100%;
}

.mt_form_search .form-group {
    float: left;
    width: 100%;
}

.mt_form_search .form-group select {
    float: left;
    width: 100%;
    border: 1px solid #ebedf2;
    height: 40px;
    padding-left: 5px;
}


/*.mt_toggle_search{float: left;width: 100%;background-color: #fff;}*/

.mt_toggle_search {
    -webkit-box-shadow: inset 0px 0px 6px 3px rgba(223, 223, 223, 1);
    -moz-box-shadow: inset 0px 0px 6px 3px rgba(223, 223, 223, 1);
    box-shadow: inset 0px 0px 6px 3px rgba(223, 223, 223, 1);
    float: left;
    width: 100%;
    padding: 20px;
}

.security_cover a {
    float: left;
    display: inline-block;
    text-decoration: underline;
    color: #2da2db;
    font-weight: 600;
    font-size: 16px;
}

.security_cover a:hover {
    text-decoration: none;
}

.mt_security_Details {
    float: left;
    width: 100%;
    padding-left: 20px;
    position: relative;
}

.mt_security_Details:after {
    content: "";
    position: absolute;
    left: 0px;
    top: 15px;
    width: 20px;
    height: 1px;
    background-color: #c9c9c9;
}

.mt_security_Details:before {
    content: "";
    position: absolute;
    left: 0px;
    top: 0px;
    width: 1px;
    height: 31px;
    background-color: #c9c9c9;
}

.mt_security_list {
    float: left;
    width: 100%;
    padding: 0px;
    margin: 0px;
}

.mt_security_list .security_inner {
    float: left;
    display: inline-block;
    width: 33.3%;
    padding: 5px 0px;
}

.mt_security_list .security_inner p {
    float: left;
    width: 100%;
    color: #000;
    font-size: 12px;
    font-weight: 400;
    padding: 0px;
    margin: 0px;
}

.mt_security_list .security_inner a {
    display: inline-block;
    float: right;
}

.security_inner a {
    height: 25px;
    width: 22px;
    text-align: center;
    background: #e7e7e7;
    border-radius: 5px;
    color: #3b9ee2;
    font-size: 18px;
    vertical-align: top;
}

.mt_security_list .security_inner img {
    float: right;
    width: 100%;
    max-width: 20px;
}

.mt_toggle_search .security_active {
    background-color: #e9e9e9;
}

.m-portlet--bordered-semi {
    float: left;
    width: 100%;
}


/* new dashboard design end*/


/* Expire popo up*/

.expire_model {
    background: #28293D;
    position: absolute;
    transform: translate(-50%, -50%);
    left: 50%;
    top: 50%;
    color: #D3D5E2;
    border-radius: 5px;
    width: 950px;
    z-index: 9999;
}

.expire_content {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    padding: 100px 200px;
    overflow: hidden;
}

.main_expire_model .expire_content {
    padding: 200px 200px;
}

.expire_content h2 {
    color: #fff;
}

.expire_content p:last-child {
    margin: 0px;
}

.expire_content p {
    padding-left: 18px;
    font-size: 14px;
}

.main_expire_text {
    position: relative;
}

.main_expire_text::before {
    position: absolute;
    left: 0;
    top: 0;
    content: "";
    width: 3px;
    height: 100%;
    background-color: #51A7E0;
}

body.expire_model_body {
    overflow: hidden !important;
    height: 100%;
    /* display: table-row; */
}

.expire_model.session_main_expire_model {
    position: fixed;
}

body.expire_model_body::before {
    position: fixed;
    z-index: 9998;
    left: 0;
    top: 0;
    width: 100%;
    content: "";
    background: rgba(0, 0, 0, 0.6);
    height: 100%;
}

.horizontal_line_model {
    background: #4D4E61;
    width: 100%;
    margin: 40px 0 30px 0;
    padding: 1px;
}

.expire_pop_last_p {
    padding-top: 15px;
}

.expire_pop_button {
    border: 1px solid #51A7E0;
    padding: 10px 30px;
    border-radius: 5px;
    color: #51A7E0;
    text-decoration: none;
    font-size: 15px;
    margin-left: 10px;
}

.expire_pop_button:hover {
    color: #51A7E0;
    border: 1px solid #51A7E0;
    text-decoration: none;
}

.common_step_class {
    transition: 0.4s;
}

.toggle_switch ul {
    padding: 0;
}

.toggle_switch li {
    list-style: none;
    margin-bottom: 15px;
}

.custom_switch {
    float: left;
    margin-right: 25px;
}

.switch_text {
    display: table;
}

.switch_text h5 {
    font-size: 18px;
    text-transform: capitalize;
    font-weight: normal;
}

.switch_text p {
    padding-left: 20px;
    font-size: 14px;
}

.toggle_switch_container {
    margin: 0px 40px;
}

.custom_switch .m-switch.m-switch--success:not(.m-switch--outline) input:checked~span::before {
    background-color: #00B500;
    border: 2px solid #fff !important;
}

.custom_switch .m-switch.m-switch--success:not(.m-switch--outline) input:empty~span::before {
    background-color: #00B500;
}

.custom_switch .m-switch.m-switch--danger:not(.m-switch--outline) input:checked~span::before {
    background-color: #E6352D;
}

.custom_switch .m-switch.m-switch--danger:not(.m-switch--outline) input:empty~span::before {
    background-color: #E6352D;
    border: 2px solid #fff !important;
}

.logout_from_popup {
    position: absolute;
    top: 15px;
    right: 15px;
    color: #fff;
    font-size: 20px;
    border: 3px solid #fff;
    padding: 5px 12px;
    background: red;
    border-radius: 50%;
}

@media only screen and (max-width: 991px) {
    .tag_view_edit {
        width: 90%;
    }
    .tag_edit_pop {
        width: 90%;
    }
}

@media only screen and (min-width: 993px) {
    header .m-brand .m-brand__logo{
        position: relative !important;
        right: -50%;
        left: 50%;
    }
    header .m-brand .m-brand__tools{
        position: relative !important;
        left: -85%;
    }
    body.m-aside-left--minimize header .m-brand .m-brand__tools{
        left: unset !important;
    }
}

@media only screen and (max-width: 767px) {
    .modal {
        padding: 10px !important;
    }
    .modal-dialog {
        width: auto;
    }
    .m-portlet .m-portlet__body {
        padding: 15px;
    }
    .position-center {
        transform: translate( -50%, 0%) !important;
    }
    #add_category_container .btn-container {
        padding-left: 5%;
    }
}

@media only screen and (max-width: 570px) {
    .modal-dialog {
        margin: 0.5rem auto;
    }
    .m-portlet__head .m-portlet__head-caption,
    .m-portlet__head .m-portlet__head-tools {
        display: inline-block !important;
        padding: 10px 0;
    }
    .m-portlet .m-portlet__head {
        padding: 0 15px;
    }
}

@media only screen and (min-width: 1300px) {
    .printModel .w-75 {
        max-width: 999px !important;
    }
}

.application_setting input,
.portal_setting input {
    margin-bottom: 8px;
}

.gateway_count {
    width: 40%;
    float: left;
}

.gateway_count .m-portlet__body {
    padding: 0.8rem 0.8rem !important;
    text-align: center;
}

.gateway_count .m-portlet__body .gateway-counter {
    font-size: 1.6rem;
}

.repeat_div #add_gateway_pop {
    transform: translate(0%, 100%);
}

.repeat_div #tag_management_add_btn {
    transform: translate(0%, 100%);
}

.backdrop {
    width: 100%;
    position: absolute;
    top: 0px;
    left: 0px;
    background: rgba(0, 0, 0, 0.35);
    height: 100%;
}

#add_category_container {
    z-index: 9991;
}

.position-center {
    top: 50%;
    left: 50%;
    transform: translate( -50%, -50%);
}

.overflow-hidden {
    overflow: hidden !important;
}

.gateway_count {
    width: 40%;
    float: left;
}

.gateway_count .m-portlet__body {
    padding: 0.8rem 0.8rem !important;
    text-align: center;
}

.gateway_count .m-portlet__body .gateway-counter {
    font-size: 1.6rem;
}

.repeat_div #add_gateway_pop {
    transform: translate(0%, 100%);
}